Subject: [Tools-implementation] Dispatch for https://trac.tools.ietf.org/tools/ietfdb/ticket/2695

From: Robert Sparks <[email-masked]>
Date: Tue, 30 Jun 2020 17:29:45 -0500

Please read through https://trac.tools.ietf.org/tools/ietfdb/ticket/2695

The key issue here is that, right now, we can't use markdown for charters.

To allow it, and keep the workflow similar to what we have now, we would 
need to add controls to the form that lets the AD edit so the AD can 
tell us if the charter is plain text or markdown.

The alternative is to only allow uploads as Tom suggests. If I were an 
AD that would irritate me mightily.

It also might mean a model addition to keep the intended type (or some 
surgery if we want to keep the type in a file extension).

Consideration to diffs when things change from text to md need to be 
considered. I suspect we diff text against md source (and md source 
against md source for that kind of revision).

What else am I missing?

RjS